{
  "name": "nestjs-api-boilerplate-jwt",
  "version": "1.0.0",
  "description": "An API Boilerplate to create a ready-to-use REST API in seconds with NestJS 9.x and Auth JWT System",
  "author": "Tony133",
  "license": "MIT",
  "scripts": {
    "prebuild": "rimraf dist",
    "build": "nest build && node afterBuild.js",
    "format": "prettier --write \"src/**/*.ts\" \"test/**/*.ts\"",
    "start": "nest start",
    "start:dev": "nest start --watch",
    "start:debug": "nest start --debug --watch",
    "start:prod": "node dist/main",
    "start:repl": "nest start --entryFile repl",
    "lint": "eslint \"{src,apps,libs,test}/**/*.ts\" --fix",
    "test": "jest",
    "test:watch": "jest --watch",
    "test:cov": "jest --coverage",
    "test:debug": "node --inspect-brk -r tsconfig-paths/register -r ts-node/register node_modules/.bin/jest --runInBand",
    "test:e2e": "jest --config ./test/jest-e2e.json",
    "postinstall": "node fix.js"
  },
  "dependencies": {
    "@alicloud/dysmsapi20170525": "2.0.23",
    "@aws-sdk/client-s3": "^3.441.0",
    "@aws-sdk/lib-storage": "^3.441.0",
    "@cyber2024/pdf-parse-fixed": "^1.2.5",
    "@dqbd/tiktoken": "^1.0.6",
    "@esm2cjs/p-timeout": "^6.0.0",
    "@fidm/x509": "^1.2.1",
    "@keyv/mysql": "^1.6.3",
    "@keyv/redis": "2.5.7",
    "@nestjs/axios": "^2.0.0",
    "@nestjs/common": "^9.3.3",
    "@nestjs/config": "^2.3.1",
    "@nestjs/core": "^9.3.3",
    "@nestjs/devtools-integration": "^0.1.4",
    "@nestjs/jwt": "^10.0.1",
    "@nestjs/mapped-types": "1.2.2",
    "@nestjs/mongoose": "^9.2.2",
    "@nestjs/passport": "^9.0.3",
    "@nestjs/platform-express": "^9.3.3",
    "@nestjs/schedule": "^2.2.2",
    "@nestjs/swagger": "^6.2.1",
    "@nestjs/throttler": "^4.0.0",
    "@nestjs/typeorm": "^9.0.1",
    "@opensearch-project/opensearch": "^2.3.1",
    "ali-oss": "^6.17.1",
    "axios": "^1.3.6",
    "azure-openai": "^0.9.4",
    "bcrypt": "^5.1.0",
    "big.js": "^6.2.1",
    "bignumber.js": "^9.1.1",
    "class-transformer": "^0.5.1",
    "class-validator": "^0.13.0",
    "cld": "^2.9.0",
    "crypto": "^1.0.1",
    "date-fns": "^2.29.3",
    "dedent": "^0.7.0",
    "dotenv": "^16.3.1",
    "eventsource-parser": "^1.0.0",
    "execa": "^8.0.1",
    "express-basic-auth": "^1.2.1",
    "express-handlebars": "^7.0.6",
    "fastq": "^1.15.0",
    "handlebars": "^4.7.7",
    "hbs": "^4.2.0",
    "hnswlib-node": "^2.0.0",
    "ioredis": "^5.3.2",
    "isomorphic-fetch": "^3.0.0",
    "keyv": "^4.5.2",
    "langchain": "^0.0.174",
    "mime": "^3.0.0",
    "mongodb": "^5.2.0",
    "mongoose": "^7.0.4",
    "mysql2": "^3.1.2",
    "nestjs-typeorm-paginate": "^4.0.3",
    "node-xlsx": "^0.23.0",
    "nodemailer": "^6.9.1",
    "p-retry": "^6.1.0",
    "p-timeout": "^6.1.1",
    "passport": "^0.6.0",
    "passport-http-bearer": "^1.0.1",
    "passport-jwt": "^4.0.1",
    "pem": "^1.14.7",
    "pg": "^8.11.0",
    "queue": "^7.0.0",
    "quick-lru": "^5.0.0",
    "randomstring": "^1.2.3",
    "reflect-metadata": "^0.1.13",
    "rimraf": "^4.1.2",
    "rxjs": "^7.8.0",
    "sequelize": "^6.31.1",
    "stream-buffers": "^3.0.2",
    "tnwx": "^2.5.6",
    "typeorm": "^0.3.12",
    "util": "^0.12.5",
    "uuid": "^9.0.0",
    "yup": "^1.0.0"
  },
  "devDependencies": {
    "@inquirer/prompts": "^1.0.0",
    "@nestjs/cli": "^9.2.0",
    "@nestjs/schematics": "^9.0.4",
    "@nestjs/testing": "^9.3.3",
    "@types/express": "^4.17.17",
    "@types/jest": "^29.4.0",
    "@types/multer": "^1.4.7",
    "@types/node": "^18.14.1",
    "@types/nodemailer": "^6.4.7",
    "@types/nodemailer-express-handlebars": "^4.0.2",
    "@types/supertest": "^2.0.12",
    "@types/uuid": "^9.0.1",
    "@typescript-eslint/eslint-plugin": "^5.53.0",
    "@typescript-eslint/parser": "^5.53.0",
    "eslint": "^8.34.0",
    "eslint-config-prettier": "^8.6.0",
    "eslint-plugin-prettier": "^4.2.1",
    "inquirer": "^9.2.0",
    "jest": "^29.4.1",
    "nodemailer-express-handlebars": "^6.0.0",
    "prettier": "^2.8.7",
    "supertest": "^6.3.3",
    "ts-jest": "^29.0.5",
    "ts-loader": "^9.4.2",
    "ts-node": "^10.9.1",
    "tsconfig-paths": "^4.1.2",
    "typescript": "^4.9.5"
  },
  "jest": {
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "rootDir": "src",
    "testRegex": ".spec.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    },
    "collectCoverageFrom": [
      "**/*.{!(module),}.(t|j)s"
    ],
    "coveragePathIgnorePatterns": [
      "/src/migrations",
      "/src/helpers",
      "/src/main.ts",
      "/src/repl.ts",
      ".constants.ts",
      ".guard.ts",
      ".config.ts"
    ],
    "coverageDirectory": "../coverage",
    "testEnvironment": "node"
  }
}
